complexType "FxFeature"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | referenceCurrency?, (composite? | quanto? | crossCurrency?)
</...>

Content Model Elements (4):

  composite, crossCurrency, | quanto, referenceCurrency (defined in FxFeature complexType)

All Direct / Indirect Based Elements (4):

  fxFeature (defined in DirectionalLegUnderlyer complexType),
  fxFeature (defined in Feature.model group),
  fxFeature (in feature defined in OptionBaseExtended complexType),
  fxFeature (in returnLeg)

Known Usage Locations

- As direct type of elements (4):
  fxFeature (defined in DirectionalLegUnderlyer complexType),
  fxFeature (defined in Feature.model group),
  fxFeature (in feature defined in OptionBaseExtended complexType),
  fxFeature (in returnLeg)

Annotation
A type for defining Fx Features.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="FxFeature"> <xsd:sequence> <xsd:element minOccurs="0" name="referenceCurrency" type="IdentifiedCurrency"/> <xsd:choice> <xsd:element minOccurs="0" name="composite" type="Composite"/> <xsd:element minOccurs="0" name="quanto" type="Quanto"/> <xsd:element minOccurs="0" name="crossCurrency" type="Composite"/> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
composite

  Type: | Composite, complex content

  If “Composite” is specified as the Settlement Type in the relevant Transaction Supplement, an amount in the Settlement Currency, determined by the Calculation Agent as being equal to the number of Options exercised or deemed exercised, multiplied by: (Settlement Price – Strike Price) / (Strike Price – Settlement Price) x Multiplier provided that if the above is equal to a negative amount the Option Cash Settlement Amount shall be deemed to be zero.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="composite" type="Composite"/>

crossCurrency

  Type: | Composite, complex content

  If “Cross-Currency” is specified as the Settlement Type in the relevant Transaction Supplement, an amount in the Settlement Currency, determined by the Calculation Agent as being equal to the number of Options exercised or deemed exercised, multiplied by: (Settlement Price – Strike Price) / (Strike Price – Settlement Price) x Multiplier x one unit of the Reference Currency converted into an amount in the Settlement Currency using the rate of exchange of the Settlement Currency as quoted on the Reference Price Source on the Valuation Date, provided that if the above is equal to a negative amount the Option Cash Settlement Amount shall be deemed to be zero.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="crossCurrency" type="Composite"/>

quanto

  Type: | Quanto, complex content

  If “Quanto” is specified as the Settlement Type in the relevant Transaction Supplement, an amount, as determined by the Calculation Agent in accordance with the Section 8.2 of the Equity Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quanto" type="Quanto"/>

referenceCurrency

  Type: | IdentifiedCurrency, simple content

  Specifies the reference currency of the trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceCurrency" type="IdentifiedCurrency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.